Bug 121707 - No *.so files were built - problems with libtool?
No *.so files were built - problems with libtool?
Product: Fedora
Classification: Fedora
Component: glib (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2004-04-26 10:50 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-24 22:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
glib-1.2.10-automake.patch (2.06 KB, patch)
2004-04-26 10:50 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-04-26 10:50:19 EDT
Description of problem:
I had a few problems with rebuilding glib-1.2.10 from the Fedora
Development Tree, but I'm still not sure, whether my build system
is 100% actual or whether the problem was caused by something else.
And that's the reason why I marked my issue as low.

So I got at the end of rebuilding the error, that no *.so files
were built - looked like an libtool problem for me.

If something like that is reproducable for you or if you want to go
sure, try (or maybe use) the solution I wrote here.

Version-Release number of selected component (if applicable):

Actual results/Expected results:
--- glib.spec           2004-03-02 22:41:35.000000000 +0100
+++ glib.spec.rsc       2004-04-26 16:47:30.000000000 +0200
@@ -6,11 +6,14 @@
 License: LGPL
 Group: System Environment/Libraries
 Source: ftp://ftp.gimp.org/pub/gtk/v1.2/%{name}-%{version}.tar.gz
+BuildRequires: automake, autoconf, libtool
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 URL: http://www.gtk.org

 # Suppress warnings about varargs macros for -pedantic
 Patch1: glib-1.2.10-isowarning.patch
+# Solve possible problems with older autoconf and automake
+Patch2: glib-1.2.10-automake.patch

 GLib is a handy library of utility functions. This C library is
@@ -39,6 +42,12 @@
 %setup -q

 %patch1 -p1 -b .isowarning
+%patch2 -p1 -b .automake
+rm -f acinclude.m4
+libtoolize --copy --force

Comment 1 Robert Scheck 2004-04-26 10:50:48 EDT
Created attachment 99690 [details]
Comment 2 Matthias Clasen 2004-06-24 22:40:22 EDT
I didn't see this problem when rebuilding glib recently.

Note You need to log in before you can comment on or make changes to this bug.